%define anolis_release 1
%global pypi_name einops
%global pypi_version 0.6.1
%define debug_package %{nil}

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Flexible and powerful tensor operations for readable and reliable code.

License:        MIT
URL:            http://crcmod.sourceforge.net/
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(hatchling)
%generate_buildrequires
%pyproject_buildrequires

%description
Flexible and powerful tensor operations for readable and reliable code.
Supports numpy, pytorch, tensorflow, jax, and others.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Flexible and powerful tensor operations for readable and reliable code.
Supports numpy, pytorch, tensorflow, jax, and others.

%package -n python-%{pypi_name}-doc
Summary:        %{pypi_name} documentation
%description -n python-%{pypi_name}-doc
Documentation for %{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files einops

%files -n python-%{pypi_name} -f %{pyproject_files}
%license %{python3_sitelib}/%{pypi_name}-%{version}.dist-info/licenses/LICENSE

%changelog
* Thu Aug 31 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.7-1
- Init from upstream.
